<?php

namespace InSegment\WorkersFramework\Interfaces;

interface JobConfigInterface
{
    /**
     * Get name of the job
     * 
     * @return string
     */
    public function getName(): string;
    
    /**
     * Get class of the job
     * 
     * @return string
     */
    public function getClass(): string;
    
    /**
     * Get weight of the job in conventional units
     * 
     * @return int
     */
    public function getWeight(): int;
    
    /**
     * Get workers the job can be done on
     * 
     * @return array|null
     */
    public function getWorkers(): ?array;
    
    /**
     * Create job instance for processing
     * 
     * @return \InSegment\WorkersFramework\Interfaces\JobInterface
     */
    public function createInstance(): JobInterface;
}
