<?php

namespace Workers;

use InSegment\WorkersFramework\Interfaces\JobInterface;
use InSegment\WorkersFramework\Interfaces\QueueMessageInterface;

class ExampleJob implements JobInterface
{
    /**
     * Get name of the job
     * 
     * @return string
     */
    public function getName()
    {
        return 'test_job';
    }
    
    /**
     * Get weight of the job in conventional units
     * 
     * @return int
     */
    public function getWeight(): int
    {
        return 1;
    }
    
    /**
     * Process the message
     * 
     * @param \InSegment\WorkersFramework\Interfaces\QueueMessageInterface $message
     */
    public function process(QueueMessageInterface $message)
    {
        echo "Run ExampleJob: {$message->getContents()}\n";
    }
}
